

def getModelType(network_name):
    return network_name.split('_')[0]

def getModelClass(network_name):
    return '_'.join(network_name.split('_')[:-2])

def getModelClassVerbose(network_name):
    return getModelClass(network_name).replace('ne_','').replace('_default','').replace('_pa20','').replace('type0','preferential attachment').\
        replace('_',', ').replace('type','edge addition type')

def getModelName(network_name):
    return '_'.join(network_name.split('_')[:-1])